Skip to main content
POST
/
shopping
/
{portfolio}
/
v1
/
payment
/
profile
Create lead payment profile
curl --request POST \
  --url https://public-api.prd.monument.io/shopping/{portfolio}/v1/payment/profile \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "lastFour": "<string>",
  "paymentType": "CREDIT/DEBIT",
  "processorToken": "<string>",
  "processorAuthTransactionId": "<string>",
  "processorTokenId": "<string>",
  "billingFirstName": "<string>",
  "billingLastName": "<string>",
  "billingCity": "<string>",
  "billingZip": "<string>",
  "billingState": "<string>",
  "autopayEnabled": true,
  "facilityUuid": "<string>",
  "leadUuid": "<string>",
  "billingAddressLine1": "<string>",
  "billingAddressLine2": "<string>"
}
'
{
  "leadUuid": "<string>",
  "leaseSessionUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.monument.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

portfolio
string
required

Body

application/json
lastFour
string
required
paymentType
enum<string>
required
Available options:
CREDIT/DEBIT,
ACH
processorToken
string
required
processorAuthTransactionId
string
required
processorTokenId
string
required
billingFirstName
string
required
billingLastName
string
required
billingCity
string
required
billingZip
string
required
billingState
string
required
autopayEnabled
boolean
required

Will set this payment method to be used for future bills for this unit.

facilityUuid
string
required
leadUuid
string
required
billingAddressLine1
string
billingAddressLine2
string

Response

201 - application/json

The lead has successfully made a payment profile. Required to generate a lease

leadUuid
string
required
leaseSessionUrl
string
required